<?php

session_start();
$getCart = filter_input_array(INPUT_POST, FILTER_DEFAULT);
$setCart = array_map("strip_tags", $getCart);
$cart = array_map("trim", $getCart);
//print_r($cart);
$produto_id = $cart['produto_id'];
$qtd = $cart['quantidade'];

if($qtd == ''):
    $qtd = 1;
endif;

if ($produto_id):
    $_SESSION['storecart']['produto'][$produto_id]['id'] = $produto_id;
    $_SESSION['storecart']['produto'][$produto_id]['qtd'] = $qtd;

    unset($_COOKIE['storecart']); // apagar o cookie caso exista
    setcookie('storecart', serialize($_SESSION['storecart']), time() + 3600); //cria o novo cookie
    
    echo json_encode('sucesso');
endif;

